#ifndef _H_97E6363579C5161B472BEE81C87DF679_BackUp__H_
#define _H_97E6363579C5161B472BEE81C87DF679_BackUp__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "geometry_msgs/msg/dds_opensplice/Point_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  BackUp_Goal_
            {
                ::geometry_msgs::msg::dds_::Point_ target_;
            };

            typedef DDS_DCPSStruct_var<BackUp_Goal_> BackUp_Goal__var;
            typedef BackUp_Goal_& BackUp_Goal__out;

            struct  BackUp_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::BackUp_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<BackUp_SendGoal_Request_> BackUp_SendGoal_Request__var;
            typedef BackUp_SendGoal_Request_& BackUp_SendGoal_Request__out;

            struct  BackUp_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<BackUp_SendGoal_Response_> BackUp_SendGoal_Response__var;
            typedef BackUp_SendGoal_Response_& BackUp_SendGoal_Response__out;

            struct  Sample_BackUp_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::BackUp_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_BackUp_SendGoal_Request_> Sample_BackUp_SendGoal_Request__var;
            typedef Sample_BackUp_SendGoal_Request_& Sample_BackUp_SendGoal_Request__out;

            struct  Sample_BackUp_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::BackUp_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_BackUp_SendGoal_Response_> Sample_BackUp_SendGoal_Response__var;
            typedef Sample_BackUp_SendGoal_Response_& Sample_BackUp_SendGoal_Response__out;

            struct  BackUp_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<BackUp_Result_> BackUp_Result__var;
            typedef BackUp_Result_& BackUp_Result__out;

            struct  BackUp_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<BackUp_GetResult_Request_> BackUp_GetResult_Request__var;
            typedef BackUp_GetResult_Request_& BackUp_GetResult_Request__out;

            struct  BackUp_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::BackUp_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<BackUp_GetResult_Response_> BackUp_GetResult_Response__var;
            typedef BackUp_GetResult_Response_& BackUp_GetResult_Response__out;

            struct  Sample_BackUp_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::BackUp_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_BackUp_GetResult_Request_> Sample_BackUp_GetResult_Request__var;
            typedef Sample_BackUp_GetResult_Request_& Sample_BackUp_GetResult_Request__out;

            struct  Sample_BackUp_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::BackUp_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_BackUp_GetResult_Response_> Sample_BackUp_GetResult_Response__var;
            typedef Sample_BackUp_GetResult_Response_& Sample_BackUp_GetResult_Response__out;

            struct  BackUp_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<BackUp_Feedback_> BackUp_Feedback__var;
            typedef BackUp_Feedback_& BackUp_Feedback__out;

            struct  BackUp_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::BackUp_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<BackUp_FeedbackMessage_> BackUp_FeedbackMessage__var;
            typedef BackUp_FeedbackMessage_& BackUp_FeedbackMessage__out;

        }

    }

}

#endif /* _H_97E6363579C5161B472BEE81C87DF679_BackUp__H_ */
