#ifndef _H_E5697BBA64DD7775DA9E114079140A46_ComputePathToPose__H_
#define _H_E5697BBA64DD7775DA9E114079140A46_ComputePathToPose__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "geometry_msgs/msg/dds_opensplice/PoseStamped_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "nav2_msgs/msg/dds_opensplice/Path_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  ComputePathToPose_Goal_
            {
                ::geometry_msgs::msg::dds_::PoseStamped_ pose_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_Goal_> ComputePathToPose_Goal__var;
            typedef DDS_DCPSStruct_out < ComputePathToPose_Goal_> ComputePathToPose_Goal__out;

            struct  ComputePathToPose_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::ComputePathToPose_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_SendGoal_Request_> ComputePathToPose_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < ComputePathToPose_SendGoal_Request_> ComputePathToPose_SendGoal_Request__out;

            struct  ComputePathToPose_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_SendGoal_Response_> ComputePathToPose_SendGoal_Response__var;
            typedef ComputePathToPose_SendGoal_Response_& ComputePathToPose_SendGoal_Response__out;

            struct  Sample_ComputePathToPose_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::ComputePathToPose_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_ComputePathToPose_SendGoal_Request_> Sample_ComputePathToPose_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_ComputePathToPose_SendGoal_Request_> Sample_ComputePathToPose_SendGoal_Request__out;

            struct  Sample_ComputePathToPose_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::ComputePathToPose_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_ComputePathToPose_SendGoal_Response_> Sample_ComputePathToPose_SendGoal_Response__var;
            typedef Sample_ComputePathToPose_SendGoal_Response_& Sample_ComputePathToPose_SendGoal_Response__out;

            struct  ComputePathToPose_Result_
            {
                ::nav2_msgs::msg::dds_::Path_ path_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_Result_> ComputePathToPose_Result__var;
            typedef DDS_DCPSStruct_out < ComputePathToPose_Result_> ComputePathToPose_Result__out;

            struct  ComputePathToPose_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_GetResult_Request_> ComputePathToPose_GetResult_Request__var;
            typedef ComputePathToPose_GetResult_Request_& ComputePathToPose_GetResult_Request__out;

            struct  ComputePathToPose_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::ComputePathToPose_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_GetResult_Response_> ComputePathToPose_GetResult_Response__var;
            typedef DDS_DCPSStruct_out < ComputePathToPose_GetResult_Response_> ComputePathToPose_GetResult_Response__out;

            struct  Sample_ComputePathToPose_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::ComputePathToPose_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_ComputePathToPose_GetResult_Request_> Sample_ComputePathToPose_GetResult_Request__var;
            typedef Sample_ComputePathToPose_GetResult_Request_& Sample_ComputePathToPose_GetResult_Request__out;

            struct  Sample_ComputePathToPose_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::ComputePathToPose_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_ComputePathToPose_GetResult_Response_> Sample_ComputePathToPose_GetResult_Response__var;
            typedef DDS_DCPSStruct_out < Sample_ComputePathToPose_GetResult_Response_> Sample_ComputePathToPose_GetResult_Response__out;

            struct  ComputePathToPose_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_Feedback_> ComputePathToPose_Feedback__var;
            typedef ComputePathToPose_Feedback_& ComputePathToPose_Feedback__out;

            struct  ComputePathToPose_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::ComputePathToPose_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<ComputePathToPose_FeedbackMessage_> ComputePathToPose_FeedbackMessage__var;
            typedef ComputePathToPose_FeedbackMessage_& ComputePathToPose_FeedbackMessage__out;

        }

    }

}

#endif /* _H_E5697BBA64DD7775DA9E114079140A46_ComputePathToPose__H_ */
