#ifndef _H_3CE742A9B85322E57DD327B655DD6A13_DummyRecovery__H_
#define _H_3CE742A9B85322E57DD327B655DD6A13_DummyRecovery__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/String_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  DummyRecovery_Goal_
            {
                ::std_msgs::msg::dds_::String_ command_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_Goal_> DummyRecovery_Goal__var;
            typedef DDS_DCPSStruct_out < DummyRecovery_Goal_> DummyRecovery_Goal__out;

            struct  DummyRecovery_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::DummyRecovery_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_SendGoal_Request_> DummyRecovery_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < DummyRecovery_SendGoal_Request_> DummyRecovery_SendGoal_Request__out;

            struct  DummyRecovery_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_SendGoal_Response_> DummyRecovery_SendGoal_Response__var;
            typedef DummyRecovery_SendGoal_Response_& DummyRecovery_SendGoal_Response__out;

            struct  Sample_DummyRecovery_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::DummyRecovery_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_DummyRecovery_SendGoal_Request_> Sample_DummyRecovery_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_DummyRecovery_SendGoal_Request_> Sample_DummyRecovery_SendGoal_Request__out;

            struct  Sample_DummyRecovery_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::DummyRecovery_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_DummyRecovery_SendGoal_Response_> Sample_DummyRecovery_SendGoal_Response__var;
            typedef Sample_DummyRecovery_SendGoal_Response_& Sample_DummyRecovery_SendGoal_Response__out;

            struct  DummyRecovery_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_Result_> DummyRecovery_Result__var;
            typedef DummyRecovery_Result_& DummyRecovery_Result__out;

            struct  DummyRecovery_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_GetResult_Request_> DummyRecovery_GetResult_Request__var;
            typedef DummyRecovery_GetResult_Request_& DummyRecovery_GetResult_Request__out;

            struct  DummyRecovery_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::DummyRecovery_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_GetResult_Response_> DummyRecovery_GetResult_Response__var;
            typedef DummyRecovery_GetResult_Response_& DummyRecovery_GetResult_Response__out;

            struct  Sample_DummyRecovery_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::DummyRecovery_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_DummyRecovery_GetResult_Request_> Sample_DummyRecovery_GetResult_Request__var;
            typedef Sample_DummyRecovery_GetResult_Request_& Sample_DummyRecovery_GetResult_Request__out;

            struct  Sample_DummyRecovery_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::DummyRecovery_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_DummyRecovery_GetResult_Response_> Sample_DummyRecovery_GetResult_Response__var;
            typedef Sample_DummyRecovery_GetResult_Response_& Sample_DummyRecovery_GetResult_Response__out;

            struct  DummyRecovery_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_Feedback_> DummyRecovery_Feedback__var;
            typedef DummyRecovery_Feedback_& DummyRecovery_Feedback__out;

            struct  DummyRecovery_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::DummyRecovery_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<DummyRecovery_FeedbackMessage_> DummyRecovery_FeedbackMessage__var;
            typedef DummyRecovery_FeedbackMessage_& DummyRecovery_FeedbackMessage__out;

        }

    }

}

#endif /* _H_3CE742A9B85322E57DD327B655DD6A13_DummyRecovery__H_ */
