#ifndef _H_98DE4F4F33A8C5011F5708312D3E6B6A_FollowPath__H_
#define _H_98DE4F4F33A8C5011F5708312D3E6B6A_FollowPath__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "nav2_msgs/msg/dds_opensplice/Path_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  FollowPath_Goal_
            {
                ::nav2_msgs::msg::dds_::Path_ path_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_Goal_> FollowPath_Goal__var;
            typedef DDS_DCPSStruct_out < FollowPath_Goal_> FollowPath_Goal__out;

            struct  FollowPath_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::FollowPath_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_SendGoal_Request_> FollowPath_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < FollowPath_SendGoal_Request_> FollowPath_SendGoal_Request__out;

            struct  FollowPath_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_SendGoal_Response_> FollowPath_SendGoal_Response__var;
            typedef FollowPath_SendGoal_Response_& FollowPath_SendGoal_Response__out;

            struct  Sample_FollowPath_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::FollowPath_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_FollowPath_SendGoal_Request_> Sample_FollowPath_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_FollowPath_SendGoal_Request_> Sample_FollowPath_SendGoal_Request__out;

            struct  Sample_FollowPath_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::FollowPath_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_FollowPath_SendGoal_Response_> Sample_FollowPath_SendGoal_Response__var;
            typedef Sample_FollowPath_SendGoal_Response_& Sample_FollowPath_SendGoal_Response__out;

            struct  FollowPath_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_Result_> FollowPath_Result__var;
            typedef FollowPath_Result_& FollowPath_Result__out;

            struct  FollowPath_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_GetResult_Request_> FollowPath_GetResult_Request__var;
            typedef FollowPath_GetResult_Request_& FollowPath_GetResult_Request__out;

            struct  FollowPath_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::FollowPath_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_GetResult_Response_> FollowPath_GetResult_Response__var;
            typedef FollowPath_GetResult_Response_& FollowPath_GetResult_Response__out;

            struct  Sample_FollowPath_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::FollowPath_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_FollowPath_GetResult_Request_> Sample_FollowPath_GetResult_Request__var;
            typedef Sample_FollowPath_GetResult_Request_& Sample_FollowPath_GetResult_Request__out;

            struct  Sample_FollowPath_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::FollowPath_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_FollowPath_GetResult_Response_> Sample_FollowPath_GetResult_Response__var;
            typedef Sample_FollowPath_GetResult_Response_& Sample_FollowPath_GetResult_Response__out;

            struct  FollowPath_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_Feedback_> FollowPath_Feedback__var;
            typedef FollowPath_Feedback_& FollowPath_Feedback__out;

            struct  FollowPath_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::FollowPath_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<FollowPath_FeedbackMessage_> FollowPath_FeedbackMessage__var;
            typedef FollowPath_FeedbackMessage_& FollowPath_FeedbackMessage__out;

        }

    }

}

#endif /* _H_98DE4F4F33A8C5011F5708312D3E6B6A_FollowPath__H_ */
