#ifndef _H_6115F3FA229DB9916C2C2F70BF5C8983_NavigateToPose__H_
#define _H_6115F3FA229DB9916C2C2F70BF5C8983_NavigateToPose__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "geometry_msgs/msg/dds_opensplice/PoseStamped_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  NavigateToPose_Goal_
            {
                ::geometry_msgs::msg::dds_::PoseStamped_ pose_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_Goal_> NavigateToPose_Goal__var;
            typedef DDS_DCPSStruct_out < NavigateToPose_Goal_> NavigateToPose_Goal__out;

            struct  NavigateToPose_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::NavigateToPose_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_SendGoal_Request_> NavigateToPose_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < NavigateToPose_SendGoal_Request_> NavigateToPose_SendGoal_Request__out;

            struct  NavigateToPose_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_SendGoal_Response_> NavigateToPose_SendGoal_Response__var;
            typedef NavigateToPose_SendGoal_Response_& NavigateToPose_SendGoal_Response__out;

            struct  Sample_NavigateToPose_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::NavigateToPose_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_NavigateToPose_SendGoal_Request_> Sample_NavigateToPose_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_NavigateToPose_SendGoal_Request_> Sample_NavigateToPose_SendGoal_Request__out;

            struct  Sample_NavigateToPose_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::NavigateToPose_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_NavigateToPose_SendGoal_Response_> Sample_NavigateToPose_SendGoal_Response__var;
            typedef Sample_NavigateToPose_SendGoal_Response_& Sample_NavigateToPose_SendGoal_Response__out;

            struct  NavigateToPose_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_Result_> NavigateToPose_Result__var;
            typedef NavigateToPose_Result_& NavigateToPose_Result__out;

            struct  NavigateToPose_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_GetResult_Request_> NavigateToPose_GetResult_Request__var;
            typedef NavigateToPose_GetResult_Request_& NavigateToPose_GetResult_Request__out;

            struct  NavigateToPose_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::NavigateToPose_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_GetResult_Response_> NavigateToPose_GetResult_Response__var;
            typedef NavigateToPose_GetResult_Response_& NavigateToPose_GetResult_Response__out;

            struct  Sample_NavigateToPose_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::NavigateToPose_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_NavigateToPose_GetResult_Request_> Sample_NavigateToPose_GetResult_Request__var;
            typedef Sample_NavigateToPose_GetResult_Request_& Sample_NavigateToPose_GetResult_Request__out;

            struct  Sample_NavigateToPose_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::NavigateToPose_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_NavigateToPose_GetResult_Response_> Sample_NavigateToPose_GetResult_Response__var;
            typedef Sample_NavigateToPose_GetResult_Response_& Sample_NavigateToPose_GetResult_Response__out;

            struct  NavigateToPose_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_Feedback_> NavigateToPose_Feedback__var;
            typedef NavigateToPose_Feedback_& NavigateToPose_Feedback__out;

            struct  NavigateToPose_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::NavigateToPose_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<NavigateToPose_FeedbackMessage_> NavigateToPose_FeedbackMessage__var;
            typedef NavigateToPose_FeedbackMessage_& NavigateToPose_FeedbackMessage__out;

        }

    }

}

#endif /* _H_6115F3FA229DB9916C2C2F70BF5C8983_NavigateToPose__H_ */
