#ifndef _H_945E7E5828B40509C27C4778AD69BFB3_RandomCrawl__H_
#define _H_945E7E5828B40509C27C4778AD69BFB3_RandomCrawl__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  RandomCrawl_Goal_
            {
                ::std_msgs::msg::dds_::Empty_ target_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_Goal_> RandomCrawl_Goal__var;
            typedef RandomCrawl_Goal_& RandomCrawl_Goal__out;

            struct  RandomCrawl_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::RandomCrawl_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_SendGoal_Request_> RandomCrawl_SendGoal_Request__var;
            typedef RandomCrawl_SendGoal_Request_& RandomCrawl_SendGoal_Request__out;

            struct  RandomCrawl_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_SendGoal_Response_> RandomCrawl_SendGoal_Response__var;
            typedef RandomCrawl_SendGoal_Response_& RandomCrawl_SendGoal_Response__out;

            struct  Sample_RandomCrawl_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::RandomCrawl_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_RandomCrawl_SendGoal_Request_> Sample_RandomCrawl_SendGoal_Request__var;
            typedef Sample_RandomCrawl_SendGoal_Request_& Sample_RandomCrawl_SendGoal_Request__out;

            struct  Sample_RandomCrawl_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::RandomCrawl_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_RandomCrawl_SendGoal_Response_> Sample_RandomCrawl_SendGoal_Response__var;
            typedef Sample_RandomCrawl_SendGoal_Response_& Sample_RandomCrawl_SendGoal_Response__out;

            struct  RandomCrawl_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_Result_> RandomCrawl_Result__var;
            typedef RandomCrawl_Result_& RandomCrawl_Result__out;

            struct  RandomCrawl_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_GetResult_Request_> RandomCrawl_GetResult_Request__var;
            typedef RandomCrawl_GetResult_Request_& RandomCrawl_GetResult_Request__out;

            struct  RandomCrawl_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::RandomCrawl_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_GetResult_Response_> RandomCrawl_GetResult_Response__var;
            typedef RandomCrawl_GetResult_Response_& RandomCrawl_GetResult_Response__out;

            struct  Sample_RandomCrawl_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::RandomCrawl_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_RandomCrawl_GetResult_Request_> Sample_RandomCrawl_GetResult_Request__var;
            typedef Sample_RandomCrawl_GetResult_Request_& Sample_RandomCrawl_GetResult_Request__out;

            struct  Sample_RandomCrawl_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::RandomCrawl_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_RandomCrawl_GetResult_Response_> Sample_RandomCrawl_GetResult_Response__var;
            typedef Sample_RandomCrawl_GetResult_Response_& Sample_RandomCrawl_GetResult_Response__out;

            struct  RandomCrawl_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_Feedback_> RandomCrawl_Feedback__var;
            typedef RandomCrawl_Feedback_& RandomCrawl_Feedback__out;

            struct  RandomCrawl_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::RandomCrawl_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<RandomCrawl_FeedbackMessage_> RandomCrawl_FeedbackMessage__var;
            typedef RandomCrawl_FeedbackMessage_& RandomCrawl_FeedbackMessage__out;

        }

    }

}

#endif /* _H_945E7E5828B40509C27C4778AD69BFB3_RandomCrawl__H_ */
