#ifndef _H_1C36DA2F4BA6919B534B0CBC5F463E83_Spin__H_
#define _H_1C36DA2F4BA6919B534B0CBC5F463E83_Spin__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"
#include "std_msgs/msg/dds_opensplice/Empty_.h"


namespace nav2_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  Spin_Goal_
            {
                ::DDS::Float target_yaw_;
            };

            typedef DDS_DCPSStruct_var<Spin_Goal_> Spin_Goal__var;
            typedef Spin_Goal_& Spin_Goal__out;

            struct  Spin_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::Spin_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<Spin_SendGoal_Request_> Spin_SendGoal_Request__var;
            typedef Spin_SendGoal_Request_& Spin_SendGoal_Request__out;

            struct  Spin_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<Spin_SendGoal_Response_> Spin_SendGoal_Response__var;
            typedef Spin_SendGoal_Response_& Spin_SendGoal_Response__out;

            struct  Sample_Spin_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::Spin_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Spin_SendGoal_Request_> Sample_Spin_SendGoal_Request__var;
            typedef Sample_Spin_SendGoal_Request_& Sample_Spin_SendGoal_Request__out;

            struct  Sample_Spin_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::Spin_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Spin_SendGoal_Response_> Sample_Spin_SendGoal_Response__var;
            typedef Sample_Spin_SendGoal_Response_& Sample_Spin_SendGoal_Response__out;

            struct  Spin_Result_
            {
                ::std_msgs::msg::dds_::Empty_ result_;
            };

            typedef DDS_DCPSStruct_var<Spin_Result_> Spin_Result__var;
            typedef Spin_Result_& Spin_Result__out;

            struct  Spin_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<Spin_GetResult_Request_> Spin_GetResult_Request__var;
            typedef Spin_GetResult_Request_& Spin_GetResult_Request__out;

            struct  Spin_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::nav2_msgs::action::dds_::Spin_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<Spin_GetResult_Response_> Spin_GetResult_Response__var;
            typedef Spin_GetResult_Response_& Spin_GetResult_Response__out;

            struct  Sample_Spin_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::Spin_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Spin_GetResult_Request_> Sample_Spin_GetResult_Request__var;
            typedef Sample_Spin_GetResult_Request_& Sample_Spin_GetResult_Request__out;

            struct  Sample_Spin_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::nav2_msgs::action::dds_::Spin_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Spin_GetResult_Response_> Sample_Spin_GetResult_Response__var;
            typedef Sample_Spin_GetResult_Response_& Sample_Spin_GetResult_Response__out;

            struct  Spin_Feedback_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Spin_Feedback_> Spin_Feedback__var;
            typedef Spin_Feedback_& Spin_Feedback__out;

            struct  Spin_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::nav2_msgs::action::dds_::Spin_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<Spin_FeedbackMessage_> Spin_FeedbackMessage__var;
            typedef Spin_FeedbackMessage_& Spin_FeedbackMessage__out;

        }

    }

}

#endif /* _H_1C36DA2F4BA6919B534B0CBC5F463E83_Spin__H_ */
